<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: argos::CPointMass3DCrazyflieModel Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html">CPointMass3DCrazyflieModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classargos_1_1CPointMass3DCrazyflieModel-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">argos::CPointMass3DCrazyflieModel Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pointmass3d__crazyflie__model_8h_source.html">src/plugins/robots/crazyflie/simulator/pointmass3d_crazyflie_model.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for argos::CPointMass3DCrazyflieModel:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CPointMass3DCrazyflieModel__inherit__graph.png" border="0" usemap="#aargos_1_1CPointMass3DCrazyflieModel_inherit__map" alt="Inheritance graph"/></div>
<map name="aargos_1_1CPointMass3DCrazyflieModel_inherit__map" id="aargos_1_1CPointMass3DCrazyflieModel_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,208,121"/>
<area shape="rect" title=" " alt="" coords="33,5,180,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for argos::CPointMass3DCrazyflieModel:</div>
<div class="dyncontent">
<div class="center"><img src="classargos_1_1CPointMass3DCrazyflieModel__coll__graph.png" border="0" usemap="#aargos_1_1CPointMass3DCrazyflieModel_coll__map" alt="Collaboration graph"/></div>
<map name="aargos_1_1CPointMass3DCrazyflieModel_coll__map" id="aargos_1_1CPointMass3DCrazyflieModel_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,208,121"/>
<area shape="rect" title=" " alt="" coords="33,5,180,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0709429a547354eaed64873f6c3e89c9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a0709429a547354eaed64873f6c3e89c9">CPointMass3DCrazyflieModel</a> (CPointMass3DEngine &amp;c_engine, <a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;c_crazyflie)</td></tr>
<tr class="separator:a0709429a547354eaed64873f6c3e89c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbc1677f5d939ef52f39b96e9d1c53ae"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#afbc1677f5d939ef52f39b96e9d1c53ae">~CPointMass3DCrazyflieModel</a> ()</td></tr>
<tr class="separator:afbc1677f5d939ef52f39b96e9d1c53ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3b2bdc341fc0c315fef1bf659514497"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#ad3b2bdc341fc0c315fef1bf659514497">Reset</a> ()</td></tr>
<tr class="separator:ad3b2bdc341fc0c315fef1bf659514497"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17b4483b0067d4fff8f4bace38f5a851"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a17b4483b0067d4fff8f4bace38f5a851">UpdateFromEntityStatus</a> ()</td></tr>
<tr class="separator:a17b4483b0067d4fff8f4bace38f5a851"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a393c962ca8e38b7fbb78b0f797b7e90f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a393c962ca8e38b7fbb78b0f797b7e90f">Step</a> ()</td></tr>
<tr class="separator:a393c962ca8e38b7fbb78b0f797b7e90f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46024beb8d815252c0d46ab645b7a23f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a46024beb8d815252c0d46ab645b7a23f">CalculateBoundingBox</a> ()</td></tr>
<tr class="separator:a46024beb8d815252c0d46ab645b7a23f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ac01453e83bda08ae9d171a2f023ed1"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#a8ac01453e83bda08ae9d171a2f023ed1">CheckIntersectionWithRay</a> (Real &amp;f_t_on_ray, const CRay3 &amp;c_ray) const</td></tr>
<tr class="separator:a8ac01453e83bda08ae9d171a2f023ed1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5ebc7528c4c6461e1bc4771c6dc04e5"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classargos_1_1CPointMass3DCrazyflieModel.html#ab5ebc7528c4c6461e1bc4771c6dc04e5">UpdateOriginAnchor</a> (SAnchor &amp;s_anchor)</td></tr>
<tr class="separator:ab5ebc7528c4c6461e1bc4771c6dc04e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a0709429a547354eaed64873f6c3e89c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0709429a547354eaed64873f6c3e89c9">&#9670;&nbsp;</a></span>CPointMass3DCrazyflieModel()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">argos::CPointMass3DCrazyflieModel::CPointMass3DCrazyflieModel </td>
          <td>(</td>
          <td class="paramtype">CPointMass3DEngine &amp;&#160;</td>
          <td class="paramname"><em>c_engine</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classargos_1_1CCrazyflieEntity.html">CCrazyflieEntity</a> &amp;&#160;</td>
          <td class="paramname"><em>c_crazyflie</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afbc1677f5d939ef52f39b96e9d1c53ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbc1677f5d939ef52f39b96e9d1c53ae">&#9670;&nbsp;</a></span>~CPointMass3DCrazyflieModel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual argos::CPointMass3DCrazyflieModel::~CPointMass3DCrazyflieModel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a46024beb8d815252c0d46ab645b7a23f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46024beb8d815252c0d46ab645b7a23f">&#9670;&nbsp;</a></span>CalculateBoundingBox()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CPointMass3DCrazyflieModel::CalculateBoundingBox </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ac01453e83bda08ae9d171a2f023ed1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ac01453e83bda08ae9d171a2f023ed1">&#9670;&nbsp;</a></span>CheckIntersectionWithRay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool argos::CPointMass3DCrazyflieModel::CheckIntersectionWithRay </td>
          <td>(</td>
          <td class="paramtype">Real &amp;&#160;</td>
          <td class="paramname"><em>f_t_on_ray</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const CRay3 &amp;&#160;</td>
          <td class="paramname"><em>c_ray</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad3b2bdc341fc0c315fef1bf659514497"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3b2bdc341fc0c315fef1bf659514497">&#9670;&nbsp;</a></span>Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CPointMass3DCrazyflieModel::Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a393c962ca8e38b7fbb78b0f797b7e90f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a393c962ca8e38b7fbb78b0f797b7e90f">&#9670;&nbsp;</a></span>Step()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CPointMass3DCrazyflieModel::Step </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a17b4483b0067d4fff8f4bace38f5a851"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17b4483b0067d4fff8f4bace38f5a851">&#9670;&nbsp;</a></span>UpdateFromEntityStatus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CPointMass3DCrazyflieModel::UpdateFromEntityStatus </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5ebc7528c4c6461e1bc4771c6dc04e5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5ebc7528c4c6461e1bc4771c6dc04e5">&#9670;&nbsp;</a></span>UpdateOriginAnchor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void argos::CPointMass3DCrazyflieModel::UpdateOriginAnchor </td>
          <td>(</td>
          <td class="paramtype">SAnchor &amp;&#160;</td>
          <td class="paramname"><em>s_anchor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="pointmass3d__crazyflie__model_8h_source.html">pointmass3d_crazyflie_model.h</a></li>
<li>src/plugins/robots/crazyflie/simulator/<a class="el" href="pointmass3d__crazyflie__model_8cpp.html">pointmass3d_crazyflie_model.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
